List Ai Model Providers
Groups published provider routes by canonical model after project policy filtering. Each provider has independent pricing and constraints. Health is unknown until live telemetry is implemented; use a provider route id for generation.
Groups published provider routes by canonical model after project policy filtering. Each provider has independent pricing and constraints. Health is unknown until live telemetry is implemented; use a provider route id for generation.
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Header Parameters
Select a provider serving the canonical model. Omit when model already identifies a provider route.
^[a-z0-9_-]+$Project selection for authorized OAuth callers; API keys select their project automatically.
Optional tenant public ID; enforced on tasks and results.
Response Body
application/json
curl -X GET "https://example.com/ai/models"{ "object": "list", "data": [ { "id": "string", "object": "cloud.model", "providers": [ { "id": "string", "object": "model", "owned_by": "string", "canonical_model": "string", "availability": {}, "endpoints": [ "string" ], "modalities": [ "string" ], "capabilities": {}, "request_constraints": {}, "pricing": { "version": "string", "source_url": "http://example.com", "valid_until": "2019-08-24T14:15:22Z", "reservation_micros": "0", "postpaid": true, "mode": "string", "meters": [ {} ], "audio_duration_usd_per_minute": "string", "margin": {} } } ] } ]}